Subject: qa.debian.org: mia tools fail with newer python

From: Guillem Jover <[email-masked]>
Date: Thu, 6 Jun 2024 22:35:46 +0200

Package: qa.debian.org
Severity: normal
User: [email-masked]
Usertags: mia

Hi!

Was trying to use the mia-query tool, and it failed to execute, I
guess because the host might have been upgraded to bookworm recently:

  $ /srv/qa.debian.org/mia/mia-query user
  Traceback (most recent call last):
    File "/srv/qa.debian.org/mia/mia-query", line 23, in <module>
      import apt_pkg, status
    File "/srv/qa.debian.org/mia/status.py", line 50
      print "Cannot find directory of database: %s" % path
      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  SyntaxError: Missing parentheses in call to 'print'. Did you mean print(...)?

There seems to be issues with module names too:

  Traceback (most recent call last):
    File "/home/guillem/./mia-query", line 23, in <module>
      import apt_pkg, status
    File "/home/guillem/status.py", line 27, in <module>
      import apt_pkg, carnivore
    File "/srv/qa.debian.org/carnivore/carnivore.py", line 24, in <module>
      import os, sys, bsddb
  ModuleNotFoundError: No module named 'bsddb'

I didn't dig further, but I guess at least all mia code needs to be
checked against later python versions.

Thanks,
Guillem